{% if menu.children.size > 0 %}

  {% comment %} Carregamento de banners para o menu {% endcomment %}
  {% assign banners_class = '' %}
  {% assign banner_position = menu.title | downcase | replace: " ", "-" | replace: "á", "a" | replace: "é", "e" | replace: "í", "i" | replace: "ó", "o" | replace: "ú", "u" | replace: "ã", "a" | replace: "ẽ", "e" | replace: "ç", "c" | prepend: "banner-menu-" %}
  {% load_banners position: banner_position %}
  {% if loaded_banners.size > 0 %}
    {% assign banners_class = '-has-banners' %}
  {% endif %}

  <li class="menu-item has-submenu" {% if menu.tooltip %} style="--menu-color: {{ menu.tooltip }};" {% endif %}>
    {% if menu.url == "#" %}
      <h2 class="menu-title -custom">{{ menu.title }}</h2>
    {% else %}
      <a aria-label="Menu {{ menu.title }}" class="menu-title -custom" href="{{ menu.url }}" {% if menu.external %} target="_blank" {% endif %}>
        {{ menu.title }}
      </a>
    {% endif %}

    {% comment %} Menus de segundo nível {% endcomment %}
    <div class="submenu">
      <div class="content {{ banners_class }}">

        <ul class="submenu-list">
          {% for submenu in menu.children %}

            {% if submenu.children.size > 0 %}
              <li class="submenu-item has-submenu">

                {% if submenu.url == "#" %}
                  <h2 class="submenu-title">{{ submenu.title }}</h2>
                {% else %}
                  <a aria-label="Submenu {{ submenu.title }}" class="submenu-title" href="{{ submenu.url }}" {% if submenu.external %} target="_blank" {% endif %}>
                    {{ submenu.title }}
                  </a>
                {% endif %}

                {% comment %} Menus de terceíro nível {% endcomment %}
                <ul class="sub-submenu-list">
                  {% for sub_submenu in submenu.children %}
                    <li class="sub-submenu-item">
                      <a aria-label="Submenu {{ sub_submenu.title }}" href="{{ sub_submenu.url }}" {% if sub_submenu.external %} target="_blank" {% endif %}>
                        {{ sub_submenu.title }}
                      </a>
                    </li>
                  {% endfor %}
                </ul>

              </li>

            {% else %}

              <li class="submenu-item">
                <a aria-label="Submenu {{ submenu.title }}" class="submenu-title" href="{{ submenu.url }}" {% if submenu.external %} target="_blank" {% endif %}>
                  {{ submenu.title }}
                </a>
              </li>
            {% endif %}

          {% endfor %}
        </ul>

        {% comment %} BANNERS {% endcomment %}
        {% if loaded_banners.size > 0 %}
          {% render 'partials/content/header/banners', menu: menu, loaded_banners: loaded_banners %}
        {% endif %}

      </div>
    </div>
  </li>
{% else %}
  <li class="menu-item" {% if menu.tooltip %} style="--menu-color: {{ menu.tooltip }};" {% endif %}>
    <a aria-label="Menu {{ menu.title }}" class="menu-title" href="{{ menu.url }}" {% if menu.external %} target="_blank" {% endif %}>
      {{ menu.title }}
    </a>
  </li>
{% endif %}
